---
title: Revoke embed
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Embeddable Graphs
---

# Revoke embed{% #revoke-embed %}

{% tab title="v1" %}

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/graph/embed/{embed_id}/revoke |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/graph/embed/{embed_id}/revoke |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/graph/embed/{embed_id}/revoke      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/graph/embed/{embed_id}/revoke      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/graph/embed/{embed_id}/revoke  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/graph/embed/{embed_id}/revoke     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/graph/embed/{embed_id}/revoke |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/graph/embed/{embed_id}/revoke |

### Overview

Revoke a specified embed. This endpoint requires the `embeddable_graphs_share` permission.

### Arguments

#### Path Parameters

| Name                       | Type   | Description      |
| -------------------------- | ------ | ---------------- |
| embed_id [*required*] | string | ID of the embed. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A JSON object containing the success message

| Field   | Type   | Description |
| ------- | ------ | ----------- |
| success | string | Message.    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "success": "Embed 00000000000 successfully enabled."
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not found
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export embed_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/graph/embed/${embed_id}/revoke" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
